Roomplanner Introduction

The Roomplanner is an integrated tool within Suite8 Conference Management, designed to create professional graphical representations of hotel functions spaces, item symbols, seating layout practices and event layouts.

Roomplanner has been designed along two principles: while the usual tasks are automated to the highest possible extent, everything remains flexible and fully customizable. Therefore, it offers a wide variety of features, covering all levels of graphics design, ranging from basic drawing tools to automatically redrawing a layout when the number of attendees is changed.

Drawing function spaces can be completed in a matter of minutes with the wall layout tools. Creating curved walls, doors, windows, even columns or semi-columns do not require much more than a mouse-click.

Besides a variety of pre-defined symbols, and an option to import any drawings from the previous Roomplanner version and popular foreign formats, you are encouraged to draw your own symbols. These can be used in later drawings as readily available objects, or linked to one of V8 Conference Managements Miscellaneous Items. Whenever an item is booked, its symbol will appear in Roomplanner for you to place it.

Although it is possible to place objects one by one, auto-setups will take care of most of the job. The various basic layouts, including theatre, classroom, banquet, meeting and dinner schemes, may be customized to compose the layout strategies you wish to use most often.

Using these auto-setups, you can choose and customize the default layout of seating arrangements defined for a function space in V8. After having done this once while configuring your system, creating an event layout will be practically automatic. The chosen seating and the number of attendees will already be applied. You should only have to place extra booked items, add chair or table numbering and you are ready to print!


Roomplanner Requirements

Roomplanner relies heavily on data entered in Fidelio V8 to automate most tasks, and makes use of graphics acceleration for a higher standard visual quality of drawings, both on-screen and printed. Therefore, Roomplanner can only be run as a part of Fidelio Suite8, under an operating system and with hardware supporting OpenGL.

Requirements:

  • Windows XP or Windows 2000 operating system.

  • OpenGL capability.

  • Scroll mouse with the scroller enabled as the ‘middle button’ in the mouse configuration.

Roomplanner relies heavily on OpenGL, which is shipped with the Windows operating system and does not need to be installed separately. However, for different graphics hardware, different drivers may be required.

Graphics cards drivers installed with Windows, or even the drivers that ship with the hardware product itself, may be outdated and have compatibility issues. Hardware vendors regularly publish new drivers to address these problems. Therefore, if Roomplanner is not displayed properly, or fails to start, updating the graphics card driver may be required.

Updates are available from www.nVidia.com and www.ati.com, the web sites of the two hardware manufacturers.

It is unfortunately possible, in case of some custom sized displays or old hardware, that a new driver cannot perfectly handle the display. There is a known issue with ATI Radeon 420 (? 440 ?) cards in laptop computers, where updating the driver makes it possible to run Roomplanner, but a black stripe appears at the edge of the display.

Note: If using the version which supports Delphi XE then the file Roomplanner.ocx must be taken from the external DLL files files: roomplannerexecutables_win7\UnicodeBuild. For Delphi 2007 use the file under roomplannerexecutables_win7.


Roomplanner Points of Access

The Roomplanner can be accessed from various points in the program, the three main access points are detailed below:

Accessing the Roomplanner via configuration

  1. On the Configuration menu click Conference Management.

  2. Click Function Spaces and then select Function Space Definition.

All the defined function spaces are displayed.

  3. Select the required function space and click the Roomplanner tab to display the Layout screen.

  4. Click the Edit button to display the Roomplanner design screen.

Accessing the Roomplanner via the Conference Diary

  1. On the Meeting Planner menu, click Conference Diary.

  2. On the conference diary screen, highlight an event.

  3. Right-click to display the short-cut menu, the command pop-up menu appears displaying the following options:

  4. Select Roomplanner, the Layout screen for the selected function space is displayed.

  5. Click the Edit button to display the Roomplanner design screen.

Accessing the Roomplanner via Event Details

  1. Click the Meeting Planner menu and select Event Management to display the Event Management screen.

  2. Search for and select a Booking Master from the grid.

  3. Click the Events button, the Event Details screen is displayed.

  4. Select an Event and click the Roomplanner button on the bottom of the screen, the Layout screen is displayed.

  5. Click the Edit button to display the Roomplanner design screen.

From all three access points, clicking the Edit button displays the Roomplanner design screen.